.main-nav__item--cta__animation--1 {
    position: absolute;
    background: linear-gradient(50deg,#e0a402, #fad778);
    background-size: 300% 200%;
    animation: gradient 3s linear infinite;
    animation-direction: alternate;
}

.main-nav__item--cta__animation--3{	
    background:linear-gradient(120deg,#21a249,#B4D33D,#c6db46);
}

.main-nav__item--cta__animation--2 {	
    background: linear-gradient(120deg,#21a249,#B4D33D,#c6db46);
    background-size: 400% 50%;
    animation: gradient 3s linear infinite;
    animation-direction: alternate;
}

@keyframes gradient {
    0% {background-position: 0%}
    100% {background-position: 80%}
}   